DOM::HTMLButtonElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLButtonElement Class Reference

Push button. More...

`#include <html_form.h>`

Inheritance diagram for DOM::HTMLButtonElement:

[legend]
Collaboration diagram for DOM::HTMLButtonElement:

[legend]
List of all members.

## Public Member Functions
| HTMLButtonElement (const HTMLButtonElement &other)
| HTMLButtonElement (const Node &other)
HTMLButtonElement & | operator= (const HTMLButtonElement &other)
HTMLButtonElement & | operator= (const Node &other)
HTMLFormElement | form () const
| Returns the `FORM` element containing this control.
DOMString | accessKey () const
| A single character access key to give access to the form control.
void | setAccessKey (const DOMString &)
| see accessKey
bool | disabled () const
| The control is unavailable in this context.
void | setDisabled (bool)
| see disabled
DOMString | name () const
| Form control or object name when submitted with a form.
void | setName (const DOMString &)
| see name
long | tabIndex () const
| Index that represents the element's position in the tabbing order.
void | setTabIndex (long)
| see tabIndex
DOMString | type () const
| The type of button.
DOMString | value () const
| The current form control value.
void | setValue (const DOMString &)
| see value
## Protected Member Functions
| HTMLButtonElement (HTMLButtonElementImpl *impl)

## Detailed Description

Push button.

See the BUTTON element definition in HTML 4.0.

Definition at line 49 of file html_form.h.

## Member Function Documentation

HTMLFormElement HTMLButtonElement::form | ( |  | ) | const

| Returns the `FORM` element containing this control. Returns null if this control is not within the context of a form. Reimplemented from DOM::Element. Definition at line 65 of file html_form.cpp.

DOMString HTMLButtonElement::accessKey | ( |  | ) | const

| A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0. Definition at line 70 of file html_form.cpp.

void HTMLButtonElement::setAccessKey | ( | const DOMString & |  | ) |

| see accessKey Definition at line 76 of file html_form.cpp.

bool HTMLButtonElement::disabled | ( |  | ) | const

| The control is unavailable in this context. See the disabled attribute definition in HTML 4.0. Definition at line 81 of file html_form.cpp.

void HTMLButtonElement::setDisabled | ( | bool |  | ) |

| see disabled Definition at line 87 of file html_form.cpp.

DOMString HTMLButtonElement::name | ( |  | ) | const

| Form control or object name when submitted with a form. See the name attribute definition in HTML 4.0. Definition at line 92 of file html_form.cpp.

void HTMLButtonElement::setName | ( | const DOMString & |  | ) |

| see name Definition at line 98 of file html_form.cpp.

long HTMLButtonElement::tabIndex | ( |  | ) | const

| Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0. Definition at line 103 of file html_form.cpp.

void HTMLButtonElement::setTabIndex | ( | long |  | ) |

| see tabIndex Definition at line 109 of file html_form.cpp.

DOMString HTMLButtonElement::type | ( |  | ) | const

| The type of button. See the type attribute definition in HTML 4.0. Definition at line 115 of file html_form.cpp.

DOMString HTMLButtonElement::value | ( |  | ) | const

| The current form control value. See the value attribute definition in HTML 4.0. Definition at line 121 of file html_form.cpp. References DOM::DOMString::isNull().

void HTMLButtonElement::setValue | ( | const DOMString & |  | ) |

| see value Definition at line 129 of file html_form.cpp.

The documentation for this class was generated from the following files:

- html_form.h
- html_form.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:37:38 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001